org.apache.http.impl.cookie

## Enum BrowserCompatSpecFactory.SecurityLevel

- java.lang.Object
- - java.lang.Enum<BrowserCompatSpecFactory.SecurityLevel>
  - - org.apache.http.impl.cookie.BrowserCompatSpecFactory.SecurityLevel

- All Implemented Interfaces:
    Serializable, Comparable<BrowserCompatSpecFactory.SecurityLevel>
  Enclosing class:
    BrowserCompatSpecFactory

      public static enum BrowserCompatSpecFactory.SecurityLevel
      extends Enum<BrowserCompatSpecFactory.SecurityLevel>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `SECURITYLEVEL_DEFAULT`
    `SECURITYLEVEL_IE_MEDIUM`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static BrowserCompatSpecFactory.SecurityLevel` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static BrowserCompatSpecFactory.SecurityLevel[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### SECURITYLEVEL_DEFAULT

          public static final BrowserCompatSpecFactory.SecurityLevel SECURITYLEVEL_DEFAULT

    - #### SECURITYLEVEL_IE_MEDIUM

          public static final BrowserCompatSpecFactory.SecurityLevel SECURITYLEVEL_IE_MEDIUM

  - ### Method Detail

    - #### values

          public static BrowserCompatSpecFactory.SecurityLevel[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (BrowserCompatSpecFactory.SecurityLevel c : BrowserCompatSpecFactory.SecurityLevel.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static BrowserCompatSpecFactory.SecurityLevel valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 1999–2022 The Apache Software Foundation. All rights reserved.